# Wyatt - Clean Code

[![Powered by Mason](https://img.shields.io/endpoint?url=https%3A%2F%2Ftinyurl.com%2Fmason-badge)](https://github.com/felangel/mason)

Create clean new **Flutter** project from scratch following Clean Code Architecture.

## Usage 🚀

```sh
mason make wyatt_clean_code
```

## Variables ✨

| variable           | description                  | default | type      |
| ------------------ | ---------------------------- | ------- | --------- |
| `project_name` | Project name | app | `string` |
| `org_name` | Organization name | fr.wyattstudio.app | `string` |
| `description` | A short project description | A new Wyatt Studio project. | `string` |
| `platforms` | Supported platforms | [android, ios] | `array` |
| `features` | Enabled features | [analysis, localization] | `array` |

## Prerequisite 

After the generation, if `localization` is enabled, you must call `make intl` to generate default S class.